net.sf.jasperreports.web.servlets

## Class AbstractServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.web.servlets.AbstractServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
  Direct Known Subclasses:
    ImageServlet, ReportActionServlet, ReportContextCreatorServlet, ReportJiveComponentsServlet, ReportOutputServlet, ReportPageStatusServlet, ReportServlet, RequirejsConfigServlet, ResourceServlet, ViewerServlet

      public class AbstractServlet
      extends javax.servlet.http.HttpServlet

  Version:
    $Id: AbstractServlet.java 6317 2013-07-15 09:36:09Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `HTML_ACCEPT_HEADER`
    `protected static java.lang.String` | `HTML_CONTENT_TYPE`
    `protected static java.lang.String` | `JSON_ACCEPT_HEADER`
    `protected static java.lang.String` | `JSON_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JasperReportsContext` | `getJasperReportsContext()`
    `static void` | `setJasperReportsContext(JasperReportsContext jrctx)`
    `protected void` | `setNoExpire(javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JSON_CONTENT_TYPE

          protected static final java.lang.String JSON_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### HTML_CONTENT_TYPE

          protected static final java.lang.String HTML_CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### JSON_ACCEPT_HEADER

          protected static final java.lang.String JSON_ACCEPT_HEADER

      See Also:
        Constant Field Values

    - #### HTML_ACCEPT_HEADER

          protected static final java.lang.String HTML_ACCEPT_HEADER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractServlet

          public AbstractServlet()

  - ### Method Detail

    - #### getJasperReportsContext

          public JasperReportsContext getJasperReportsContext()

    - #### setJasperReportsContext

          public static void setJasperReportsContext(JasperReportsContext jrctx)

    - #### setNoExpire

          protected void setNoExpire(javax.servlet.http.HttpServletResponse response)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com